// laseradjustthreadcontroller.h: Schnittstelle für die Klasse LaserThreadController.
//
//////////////////////////////////////////////////////////////////////

#ifndef LASERADJUSTTHREADCONTROLLER_H
#define LASERADJUSTTHREADCONTROLLER_H

#include "threadcontroller.h"

class LaserAdjustThreadController : public ThreadController
{
public:
	LaserAdjustThreadController( QList<AMCMirrorPanel>& p_qlPanels, QObject* p_pReceiver );
	virtual ~LaserAdjustThreadController();

protected:
	virtual void run();

private:
	uchar*	m_pData;
};

#endif
